summaryrefslogtreecommitdiffhomepage
path: root/pull-toolchain.sh
diff options
context:
space:
mode:
authorNick Khyl <nickk@tailscale.com>2024-12-05 13:16:48 -0600
committerNick Khyl <nickk@tailscale.com>2024-12-05 13:16:48 -0600
commit0267fe83b200f1702a2fa0a395442c02a053fadb (patch)
tree63654c55225eeb834de59a5a0bc8d19033c6145b /pull-toolchain.sh
parent87546a5edf6b6503a87eeb2d666baba57398a066 (diff)
downloadtailscale-1.78.0.tar.xz
tailscale-1.78.0.zip
VERSION.txt: this is v1.78.0v1.78.0
Signed-off-by: Nick Khyl <nickk@tailscale.com>
Diffstat (limited to 'pull-toolchain.sh')
-rwxr-xr-xpull-toolchain.sh32
1 files changed, 16 insertions, 16 deletions
diff --git a/pull-toolchain.sh b/pull-toolchain.sh
index f5a19e7d7..87350ff53 100755
--- a/pull-toolchain.sh
+++ b/pull-toolchain.sh
@@ -1,16 +1,16 @@
-#!/bin/sh
-# Retrieve the latest Go toolchain.
-#
-set -eu
-cd "$(dirname "$0")"
-
-read -r go_branch <go.toolchain.branch
-upstream=$(git ls-remote https://github.com/tailscale/go "$go_branch" | awk '{print $1}')
-current=$(cat go.toolchain.rev)
-if [ "$upstream" != "$current" ]; then
- echo "$upstream" >go.toolchain.rev
-fi
-
-if [ -n "$(git diff-index --name-only HEAD -- go.toolchain.rev)" ]; then
- echo "pull-toolchain.sh: changes imported. Use git commit to make them permanent." >&2
-fi
+#!/bin/sh
+# Retrieve the latest Go toolchain.
+#
+set -eu
+cd "$(dirname "$0")"
+
+read -r go_branch <go.toolchain.branch
+upstream=$(git ls-remote https://github.com/tailscale/go "$go_branch" | awk '{print $1}')
+current=$(cat go.toolchain.rev)
+if [ "$upstream" != "$current" ]; then
+ echo "$upstream" >go.toolchain.rev
+fi
+
+if [ -n "$(git diff-index --name-only HEAD -- go.toolchain.rev)" ]; then
+ echo "pull-toolchain.sh: changes imported. Use git commit to make them permanent." >&2
+fi